libzypp 17.37.10

zypp::ESetRelationDef Class Reference

Set Relation based on SetCompare (use like 'enum class SetRelation') Comparison (``== ``!=) between SetRelation and SetCompare is defined to let `SetRelation::subset` match `SetCompare::equal` as well as `SetCompare::properSubset`. More...

`#include <zypp/base/SetRelationMixin.h>`

## Public Types
enum | Enum { uncomparable = SetCompare::uncomparable , equal = SetCompare::equal , properSubset = SetCompare::properSubset , properSuperset = SetCompare::properSuperset , disjoint = SetCompare::disjoint , subset = properSubset|equal , superset = properSuperset|equal }

## Static Public Member Functions
static const std::string & | asString (Enum val_r) ZYPP_API
| String representantion.

## Related Symbols
(Note that these are not member symbols.)
using | SetRelation = base::EnumClass<ESetRelationDef>
| typedef 'enum class SetRelation'

## Detailed Description

Set Relation based on SetCompare (use like 'enum class SetRelation') Comparison (``== ``!=) between SetRelation and SetCompare is defined to let `SetRelation::subset` match `SetCompare::equal` as well as `SetCompare::properSubset`.

Accordingly `SetRelation::subset` matches `SetCompare::equal` as well as `SetCompare::properSuperset`.

Definition at line 57 of file SetRelationMixin.h.

## Member Enumeration Documentation

## ◆ Enum

enum zypp::ESetRelationDef::Enum

Enumerator
uncomparable | "{??}"
equal | "{==}"
properSubset | "{<<}"
properSuperset | "{>>}"
disjoint | "{ }"
subset | "{<=}"
superset | "{>=}"

Definition at line 58 of file SetRelationMixin.h.

## Member Function Documentation

## ◆ asString()

const std::string & zypp::ESetRelationDef::asString | ( | Enum | val_r | ) |
| static

String representantion.

Definition at line 30 of file SetRelationMixin.cc.

## Friends And Related Symbol Documentation

## ◆ SetRelation

using SetRelation = base::EnumClass<ESetRelationDef>
| related

typedef 'enum class SetRelation'

Definition at line 71 of file SetRelationMixin.h.

The documentation for this class was generated from the following files:

- zypp/base/SetRelationMixin.h
- zypp/base/SetRelationMixin.cc